Page MenuHomePhabricator

labstore2003-labstore2004 onsite setup task
Closed, ResolvedPublic

Description

This task will track the setup and deployment of labstore2003 and labstore2004. It will also help Chase to sort through the future deployment .

  • - onsite task physical label and racktables visible label updates
  • - bios and drac settings
  • - network port description/enable and vlan updated
  • - system mgmt dns update
  • - system production dns update
  • - install_server module updates
  • - install OS Jessie
  • - puppet/salt keys signed/accepted
  • - service implementation - hand this off to @chasemp

Event Timeline

Papaul triaged this task as Medium priority.Mar 3 2016, 5:48 PM

Network ports: both systems are racked in Row B rack B8 on asw-b8-codfw

labstore2003 ge-8/0/9
labstore2004 ge-8/0/1

chat with @RobH on IRC, according to him, those systems are setup with a HW RAID10 with no raid partman recipe.

They should be, as they are R510s with 12 disks and a perc raid controller. They may be in an invalid configuration, and the raid bios should be checked.

Network ports: both systems are racked in Row B rack B8 on asw-b8-codfw

labstore2003 ge-8/0/9
labstore2004 ge-8/0/1

port descriptions set to hostname and enabled, added to the labs support vlan for row b. This is now live on the switch stack.

Mentioned in SAL [2016-03-15T16:46:44Z] <mutante> labstore200[3-4] added to DHCP (T128764) @Papaul #codfw

Change 277516 had a related patch set uploaded (by Dzahn):
Adding production DNS for labstore2004

https://gerrit.wikimedia.org/r/277516

Change 277516 merged by Dzahn:
Adding production DNS for labstore2004

https://gerrit.wikimedia.org/r/277516

labstore2004.codfw.wmnet has address 10.192.21.8

Ok, we need to write a new partman recipe for this, but we can use lvm-noraid-large.a.cfg as the basis, but make a new file.

  • 300MB outside of LVM /boot
  • NO SWAP
  • place remainder of disk space in lvm
  • 80GB / ext4 in LVM
  • 80% of remainder as /srv ext4 in lvm
Papaul renamed this task from labstore2003-labstore2004 onsite setup taks to labstore2003-labstore2004 onsite setup task.Mar 15 2016, 11:48 PM

Ok, we need to write a new partman recipe for this

@Papaul has done that and i merged it. https://gerrit.wikimedia.org/r/277709

Change 277715 had a related patch set uploaded (by Dzahn):
partman: use lvm-ext-srv.cfg for labstore200[3-4]

https://gerrit.wikimedia.org/r/277715

Change 277715 merged by Dzahn:
partman: use lvm-ext-srv.cfg for labstore200[3-4]

https://gerrit.wikimedia.org/r/277715

Change 277716 had a related patch set uploaded (by Dzahn):
add labstore200[3-4] to site.pp, like existing [1-2]

https://gerrit.wikimedia.org/r/277716

Change 277716 merged by Dzahn:
add labstore200[3-4] to site.pp, like existing [1-2]

https://gerrit.wikimedia.org/r/277716

Papaul reassigned this task from Papaul to chasemp.
Papaul updated the task description. (Show Details)

@ Chase the installation is complete.

Papaul mentioned this in Unknown Object (Task).Mar 18 2016, 4:15 PM